{
  "name": "auto-post-facebook-extensions",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc -b && vite build",
    "lint": "eslint .",
    "preview": "vite preview",
    "build:all": "vite build --config vite.config.content.ts && vite build --config vite.config.popup.ts && vite build",
    "dev:build": "vite build --watch",
    "dev:content": "vite build --watch --config vite.config.content.ts",
    "dev:popup": "vite build --watch --config vite.config.popup.ts",
    "dev:main": "vite build --watch --config vite.config.ts",
    "dev:all": "run-p dev:content dev:popup dev:main"
  },
  "dependencies": {
    "@hookform/resolvers": "^5.2.1",
    "@radix-ui/react-alert-dialog": "^1.1.15",
    "@radix-ui/react-avatar": "^1.1.10",
    "@radix-ui/react-checkbox": "^1.3.3",
    "@radix-ui/react-dialog": "^1.1.15",
    "@radix-ui/react-dropdown-menu": "^2.1.16",
    "@radix-ui/react-label": "^2.1.7",
    "@radix-ui/react-popover": "^1.1.15",
    "@radix-ui/react-progress": "^1.1.7",
    "@radix-ui/react-scroll-area": "^1.2.10",
    "@radix-ui/react-select": "^2.2.6",
    "@radix-ui/react-slot": "^1.2.3",
    "@radix-ui/react-tabs": "^1.1.13",
    "@radix-ui/react-toggle": "^1.1.10",
    "@radix-ui/react-toggle-group": "^1.1.11",
    "@radix-ui/react-tooltip": "^1.2.8",
    "@tailwindcss/vite": "^4.1.12",
    "@tanstack/react-query": "^5.85.5",
    "axios": "^1.11.0",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "date-fns": "^4.1.0",
    "fs-extra": "^11.3.1",
    "lodash": "^4.17.21",
    "lucide-react": "^0.540.0",
    "next-themes": "^0.4.6",
    "p-queue": "^8.1.0",
    "react": "^19.1.1",
    "react-day-picker": "^9.9.0",
    "react-dom": "^19.1.1",
    "react-hook-form": "^7.62.0",
    "sonner": "^2.0.7",
    "tailwind-merge": "^3.3.1",
    "tailwindcss": "^4.1.12",
    "use-debounce": "^10.0.5",
    "webextension-polyfill": "^0.12.0",
    "zod": "^4.0.17"
  },
  "devDependencies": {
    "@eslint/js": "^9.33.0",
    "@types/chrome": "^0.1.4",
    "@types/fs-extra": "^11.0.4",
    "@types/lodash": "^4.17.20",
    "@types/node": "^24.3.0",
    "@types/react": "^19.1.10",
    "@types/react-dom": "^19.1.7",
    "@types/webextension-polyfill": "^0.12.3",
    "@vitejs/plugin-react-swc": "^4.0.0",
    "eslint": "^9.33.0",
    "eslint-plugin-react-hooks": "^5.2.0",
    "eslint-plugin-react-refresh": "^0.4.20",
    "globals": "^16.3.0",
    "npm-run-all": "^4.1.5",
    "tw-animate-css": "^1.3.7",
    "typescript": "~5.8.3",
    "typescript-eslint": "^8.39.1",
    "vite": "^7.1.2"
  }
}
